### Constructor

# Gio DBusObjectSkeleton new

since: 2.30

#### Declaration

    GDBusObjectSkeleton*
    g_dbus_object_skeleton_new (
      const gchar* object_path
    )

#### Description

Creates a new `GDBusObjectSkeleton`.

Available since: 2.30

#### Parameters

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusObjectSkeleton`

A `GDBusObjectSkeleton`. Free with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.